Update php 5.0.5

Discussion in 'Installation/Configuration' started by cybereatl, May 11, 2007.

  1. cybereatl

    cybereatl Member

    Hi Folks,

    Am installing Moodle and requires a PHP version of at least 4.3.0 or 5.1.0 (5.0.x has a number of known problems).

    Am currently running version 5.0.5

    You must upgrade PHP or move to a host with a newer version of PHP!
    (In case of 5.0.x you could also downgrade to 4.4.x version)

    How can I do that with no risk to mess up my ISPConfig ??

    There is any package to have it installed php 5.1.0 as exists for phpmyadmin?

    Thanks for your help!!
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    You can update your php without any risk for ISPConfig as ISPConfig has ist own PHP binaries for the controlpanel.
  3. cybereatl

    cybereatl Member

    I've tried doing upgrade but am unable to!!

    I try this:

    yum upgrade php and there is no results also,
    up2date php

    Also I was trying to get rpm but I could not find any related to php 5.1.1 for fedora core 4.

    I've download php 5.2.2 but I don't remember how to install it manually :confused:
    Any ideas !!!

    Thanks :(
  4. falko

    falko Super Moderator ISPConfig Developer

    This link might help you: http://www.petefreitag.com/item/516.cfm
    (It's for PHP4, but the procedure is similar for PHP5.)

Share This Page